Delete HA Group

Delete HA Group
delete HA group with specific groupId

Deletes an HA group and returns member appliances to standalone operation. This operation disables HA protocols, removes group configuration from all member appliances, and restores each appliance to independent operation. Network extensions assigned to the group are redistributed to individual appliances or fail if redistribution is not possible.

Request
URI
DELETE
https://{server}/hybridity/api/interconnect/appliances/ha/groups/{groupId}
COPY
Path Parameters
string
groupId
Required

Unique identifier of the HA group to delete.

Query Parameters
string
force
Optional
Constraints: default: false

Force deletion even if network extensions are using this HA group. When true, network extensions are migrated to standalone appliances which may cause brief disruption. Use with caution. Default is false.

Possible values are : true, false,

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns GroupActionSuccessResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "groupId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns HAInternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/appliances/ha/groups/{groupId}